#include "libscl.h"

using namespace scl;
using namespace std;

  
int main(int argc, char** argp, char** envp)
{
  realmat x(15,1),w(15,1),endp(2,1);
  REAL alpha,beta;
  INTEGER kind;
  INTEGER kpts;

  endp[1] = 0.50;
  endp[2] = 0.75;

  kpts = 0;

  kind = 1;
  cout << fmt('d',2,kind) << '\n';
  for (INTEGER n=4; n<=10; ++n) {  
    gaussq(kind, n, 0.0, 0.0, kpts, endp, x, w);
    for (INTEGER j=1; j<=n; ++j) {
      cout<<fmt('d',6,j)<<fmt('f',25,8,x[j])<<fmt('f',25,8,w[j])<<'\n';
    }
    cout << '\n';
  }

  kind = 2;
  cout << fmt('d',2,kind) << '\n';
  for (INTEGER n=4; n<=10; ++n) {  
    gaussq(kind, n, 0.0, 0.0, kpts, endp, x, w);
    for (INTEGER j=1; j<=n; ++j) {
      cout<<fmt('d',6,j)<<fmt('f',25,8,x[j])<<fmt('f',25,8,w[j])<<'\n';
    }
    cout << '\n';
  }

  kind = 3;
  cout << fmt('d',2,kind) << '\n';
  for (INTEGER n=4; n<=10; ++n) {  
    gaussq(kind, n, 0.0, 0.0, kpts, endp, x, w);
    for (INTEGER j=1; j<=n; ++j) {
      cout<<fmt('d',6,j)<<fmt('f',25,8,x[j])<<fmt('f',25,8,w[j])<<'\n';
    }
    cout << '\n';
  }

  kind = 4;
  cout << fmt('d',2,kind) << '\n';
  for (INTEGER n=4; n<=10; ++n) {  
    gaussq(kind, n, 0.0, 0.0, kpts, endp, x, w);
    for (INTEGER j=1; j<=n; ++j) {
      cout<<fmt('d',6,j)<<fmt('f',25,8,x[j])<<fmt('f',25,8,w[j])<<'\n';
    }
    cout << '\n';
  }

  kind = 5;
  alpha = 0.5;
  beta = 0.5;
  cout << fmt('d',2,kind) << '\n';
  for (INTEGER n=4; n<=10; ++n) {  
    gaussq(kind, n, alpha, beta, kpts, endp, x, w);
    for (INTEGER j=1; j<=n; ++j) {
      cout<<fmt('d',6,j)<<fmt('f',25,8,x[j])<<fmt('f',25,8,w[j])<<'\n';
    }
    cout << '\n';
  }

  kind = 6;
  alpha = 0.0;
  cout << fmt('d',2,kind) << '\n';
  for (INTEGER n=4; n<=10; ++n) {  
    gaussq(kind, n, alpha, 0.0, kpts, endp, x, w);
    for (INTEGER j=1; j<=n; ++j) {
      cout<<fmt('d',6,j)<<fmt('f',25,8,x[j])<<fmt('f',25,8,w[j])<<'\n';
    }
    cout << '\n';
  }

  kind = 5;
  alpha = 0.0;
  beta = 0.0;
  kpts = 2;
  endp[1] = -1.0;
  endp[2] = 1.0;
  cout << fmt('d',2,kind) << '\n';
  for (INTEGER n=4; n<=10; ++n) {  
    gaussq(kind, n, alpha, beta, kpts, endp, x, w);
    for (INTEGER j=1; j<=n; ++j) {
      cout<<fmt('d',6,j)<<fmt('f',25,8,x[j])<<fmt('f',25,8,w[j])<<'\n';
    }
    cout << '\n';
  }
  return 0;
}

